---
title: NoMachine

#tags:
#keywords:
last_updated: 19 Aug 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/nomachine.html
---

NoMachine is a desktop virtualization tool. It is similar to VNC, Remote
Desktop, etc. It uses the NX protocol to enable a graphical login to remote
servers.

## Installation

NoMachine is available for PSI Windows computers in the Software Kiosk under the
name **NX Client**. Please use the latest version (at least 6.0). For MacOS and
Linux, the NoMachine client can be downloaded from https://www.nomachine.com/.

## Access restrictions

Currently, NoMachine access is only possible from the PSI Network. Users needing
remote access from outside PSI must request VPN access. This has to be requested
to the IT Department by opening a PSI Service Now ticket:
[VPN Access (PSI employees)](https://psi.service-now.com/psisp?id=psi_new_sc_cat_item&sys_id=beccc01b6f44a200d02a82eeae3ee440)

## Connecting to Merlin6 NoMachine

The Merlin6 NoMachine service is located **only** in the following login nodes:

* `merlin-l-001.psi.ch`
* ~`merlin-l-002.psi.ch`~ (not available yet)

Below is explained all the steps necessary for configuring the access to the 
NoMachine service running on a login node.

### Creating a new connection

Open the NoMachine client and create a **New** connection:

![Create New NoMachine Connection]({{ "/images/NoMachine/screen_nx1.png" }})

Select **NX** protocol and **Continue**:

![Select NoMachine Protocol]({{ "/images/NoMachine/screen_nx2.png" }})

Select the corresponding login node server where the NoMachine service is running and
keep **4000** as the listening port; then **Continue**. 

![Configure NoMachine Server Information]({{ "/images/NoMachine/screen_nx3.png" }})

Choose your authentication method and **Continue**. **Password** or *Kerberos* are the recommended ones:

![Configure NoMachine Authentication Method]({{ "/images/NoMachine/screen_nx4.png" }})

**Don't use a proxy**, and **Continue**:

![Configure NoMachine Proxy Information]({{ "/images/NoMachine/screen_nx5.png" }})

Finally add a name for your connection. We strongly recommend to add the hostname of the login node, but
you are free to choose any other name:

![Configure Connection Name]({{ "/images/NoMachine/screen_nx6.png" }})

### Connecting to a NoMachine existing connection

Double click on the NoMachine server in order to connect to it:

![Connect to a NoMachine existing connecion]({{ "/images/NoMachine/screen_nx7.png" }})

If authentication is required, you will be asked for it. The example below corresponds to **Password** 
authentication:

![NoMachine Authentication]({{ "/images/NoMachine/screen_nx8.png" }})

Finally, create a virtual desktop in order to get in. If a previous virtual desktop was created, you 
might be able to re-attach the session. 

![Create or Connect to a NoMachine Virtual Session]({{ "/images/NoMachine/screen_nx9.png" }})

Some hints of how to manage the resolution and windows will be shown.

![NoMachine Resolution/Window Management Hints]({{ "/images/NoMachine/screen_nx10.png" }})

An example of the NoMachine session, which is based on [LightDM](https://github.com/canonical/lightdm)
X Windows:

![NoMachine Session: LightDM Desktop]({{ "/images/NoMachine/screen_nx11.png" }})
